package com.ecep.contract.controller.tab;

import javafx.beans.property.BooleanProperty;
import javafx.scene.control.Tab;

public interface TabSkin extends Skin {
    Tab getTab();

    BooleanProperty changeProperty();

    default void onTabShown() {
    }

    void initializeTab();

    default void save() {
    }

    default void dispose() {
    }
}
